# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# Copyright (C) 2010 <Andrew C Sellers> <andrew@andrewcsellers.com>
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#    http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
### END LICENSE

import os
import ConfigParser

class ConfigStore:
    def __init__(self,default_values):
        self.config_file = os.environ['HOME'] + '/.config/tibesti/tibesti.ini'
        self.options=default_values
        if not os.path.exists(self.config_file):
            self.save_preferences()
    def get_preferences(self):
        #returns a dictionary of the preferences
        return self.options
        
    def save_preferences(self):
        #saves the preferences to the ini file
        pass
